/*
 * Copyright 2005-2007 WSO2, Inc. (http://wso2.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.wso2.carbon.bndmgt;

/**
 * Holds all the constants related to the {@link BundleManagementAgent}
 */
public class BundleManagementConstants {

    /** Custom Manifest header name to read for to find the start level of a bundle **/
    public static final String START_LEVEL_MANIFEST_HEADER = "WSO2-Bundle-StartLevel";
    
    /** Start level of the management agent **/
    public static final int BUNDLE_MANAGEMENT_AGENT_START_LEVEL = 9;

    /** Start level at which the bundle management agent is activated **/
    public static final int BUNDLE_MANAGEMENT_ACTIVATION_START_LEVEL = 10;
}
